;; MAGIT: A nice git frontend
(straight-use-package 'magit)
(setq magit-bury-buffer-function #'quit-window
      magit-display-buffer-function #'display-buffer)

(with-eval-after-load 'magit
  (transient-append-suffix 'magit-push "-u"
    '(1 "=s" "Skip gitlab pipeline" "--push-option=ci.skip"))
  (transient-append-suffix 'magit-push "=s"
    '(1 "=D" "DEBUG" "--push-option=ci.variable=DEBUG=1"))  ;; no special meaning for gitlab
  (transient-append-suffix 'magit-push "=D"
    '(1 "=V" "Set CI variable" "--push-option=ci.variable="))  ;; Will prompt, can only set one extra variable
  (transient-append-suffix 'magit-push "=V"
    '(1 "=O" "Set push option" "--push-option="))
  )

(provide 'a-magit)
