;; PYTHON
;; (add-hook 'python-mode-hook #'eglot-ensure)
(add-hook 'python-mode-hook #'lsp-deferred)

(setq python-indent-guess-indent-offset-verbose nil
      python-shell-completion-native-enable nil)

(add-hook 'inferior-python-mode-hook
          (lambda ()
            (setq comint-move-point-for-output t)))

;; PYTHON-INTERACTIVE-SHELL
(setq python-shell-completion-native-disabled-interpreters
      '("pypy" "ipython" "python")) ;; added python bc of warning (readline support)

(provide 'l-python)
